## com.rbnb.api
Class DataArray

    java.lang.Object
      com.rbnb.api.DataArray

All Implemented Interfaces:
  Serializable, Cloneable

    public class DataArray

extends Object
implements Cloneable, Serializable

Data information extracted from an `Rmap`.

Since:
  V2.0
See Also:
  `Rmap`, Serialized Form
Author:
  Ian Brown
Version:
  2005/03/31

Constructor Summary
`DataArray()` Class constructor.

Method Summary
`protected Object` `clone()` Clones this `DataArray`.
`Object` `getData()` Gets the data array.
`int` `getDataType()` Returns the RBNB data type of the underlying data.
`double` `getDuration()` Gets the duration of this `DataArray`.
`double[]` `getFrame()` Gets the frame values as an array of individual frame indexes.
`String` `getMIMEType()` Gets the MIME type.
`int` `getNumberOfPoints()` Gets the number of points represented by this `DataArray`.
`int` `getNumInArray()` Returns the number of points currently in the DataArray
`int` `getPointSize()` Returns the point size of the underlying data.
`double` `getStartTime()` Gets the start time of the `DataArray`.
`double[]` `getTime()` Gets the time values as an array of individual times for each point.
`String` `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataArray

    public DataArray()

  Class constructor.

  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    01/23/2001

Method Detail

### clone

    protected final Object clone()

  Clones this `DataArray`.

  Overrides:
    `clone` in class `Object`
  Returns:
    the clone.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    09/18/2000

### getDuration

    public final double getDuration()

  Gets the duration of this `DataArray`.

  Returns:
    the duration.
  Since:
    V2.0
  See Also:
    `getStartTime()`
  Author:
    Ian Brown
  Version:
    04/15/2002

### getData

    public final Object getData()

  Gets the data array.

  Returns:
    the data array.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    09/18/20010

### getDataType

    public final int getDataType()

  Returns the RBNB data type of the underlying data.

### getPointSize

    public final int getPointSize()

  Returns the point size of the underlying data.

### getNumInArray

    public final int getNumInArray()

  Returns the number of points currently in the DataArray

### getFrame

    public final double[] getFrame()

  Gets the frame values as an array of individual frame indexes.

  Returns:
    the frame array.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    04/15/2002

### getMIMEType

    public final String getMIMEType()

  Gets the MIME type.

  Returns:
    the MIME type.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    04/12/2002

### getNumberOfPoints

    public final int getNumberOfPoints()

  Gets the number of points represented by this `DataArray`.

  Returns:
    the number of points.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    04/12/2002

### getStartTime

    public final double getStartTime()

  Gets the start time of the `DataArray`.

  Returns:
    the start time.
  Since:
    V2.0
  See Also:
    `getDuration()`
  Author:
    Ian Brown
  Version:
    04/15/2002

### getTime

    public final double[] getTime()

  Gets the time values as an array of individual times for each point.

  Returns:
    the time array.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    04/15/2002

### toString

    public final String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    the string representation.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    04/12/2002